ru.bitel.bgbilling.modules.inet.api.server.bean

## Class InetDeviceMap

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.server.bean.InetDeviceMap

- All Implemented Interfaces:
    EventListener<Event>

      public class InetDeviceMap
      extends java.lang.Object
      implements EventListener<Event>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `InetDeviceMap.InetDeviceMapItem`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fix(ParameterMap params, Preferences fix, java.lang.String prefixOld, java.lang.String prefixNew)`
    `InetDeviceMap.InetDeviceMapItem` | `get(int deviceId)`
    `static InetDeviceMap` | `getInstance(int moduleId)`
    `java.util.Map<java.lang.Integer,InetDeviceMap.InetDeviceMapItem>` | `getMap()`
    `long` | `getVersion()`
    `void` | `notify(Event e, EventListenerContext ctx)`
    `static java.util.Map<java.lang.Integer,java.util.List<java.lang.Integer>>` | `parseFlowAgentMap(int invDeviceId, int deviceId, ParameterMap config, DevicePortDao devicePortDao)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static InetDeviceMap getInstance(int moduleId)
                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getVersion

          public long getVersion()

    - #### fix

          public void fix(ParameterMap params,
                          Preferences fix,
                          java.lang.String prefixOld,
                          java.lang.String prefixNew)

    - #### parseFlowAgentMap

          public static java.util.Map<java.lang.Integer,java.util.List<java.lang.Integer>> parseFlowAgentMap(int invDeviceId,
                                                                                                             int deviceId,
                                                                                                             ParameterMap config,
                                                                                                             DevicePortDao devicePortDao)
                                                                                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public InetDeviceMap.InetDeviceMapItem get(int deviceId)
                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getMap

          public java.util.Map<java.lang.Integer,InetDeviceMap.InetDeviceMapItem> getMap()
                                                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### notify

          public void notify(Event e,
                             EventListenerContext ctx)
                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `notify` in interface `EventListener<Event>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`